Subject: Re: bug#42984: 27.1; package-list results in error while updating archive due to malformed path

From: Stefan Kangas <[email-masked]>
Date: Wed, 25 Nov 2020 16:06:43 -0500

(Please keep the bug tracker in Cc.)

Mirko Vukovic <[email-masked]> writes:

>> > Failed to verify signature archive-contents.sig:
>> > No public key for 066DAFCB81E42C40 created at 2020-08-22T05:05:02-0400
>> using RSA
>> > Command output:
>> > gpg: keyblock resource
>> '/c/Users/977315/c:/Users/977315/.emacs.d/elpa/gnupg/pubring.kbx': No such
>> file or directory
>> > gpg: Signature made Sat, Aug 22, 2020  5:05:02 AM EDT
>> > gpg:                using RSA key
>> C433554766D3DDC64221BFAA066DAFCB81E42C40
>> > gpg: Can't check signature: No public key
>> >
>> > The offending file path consists of the current directory, followed by
>> c:/Users/977315/.emacs.d/elpa/...
>> > I verified this by launching emacs from a different directory. That
>> change would be reflected in the filepath, for example, when launched
>> > from the ~/tmp directory:
>> > gpg: keyblock resource
>> '/c/Users/977315/tmp/c:/Users/977315/.emacs.d/elpa/gnupg/pubring.kbx': No
>> such file or directory
>>
>> I don't understand why this path is used.  It should be using:
>>
>>     (expand-file-name "gnupg" package-user-dir)
>>
>> What is the value of `package-gnupghome-dir' and `package-user-dir' on
>> your machine?
>>
>
> package-gnupghome-dir ==> "c:/Users/977315/.emacs.d/elpa/gnupg"
> package-user-dir: ==> "~/.emacs.d/elpa"
> (expand-file-name "gnupg" package-user-dir) ==>
> "c:/Users/977315/.emacs.d/elpa/gnupg"

Well, I'm stomped.  But I don't know much of anything about Windows.

Does anyone have an idea why a path like this would be used on Windows?

  "/c/Users/977315/tmp/c:/Users/977315/.emacs.d/elpa/gnupg/pubring.kbx"